[Rubygems-developers] Enhancement Proposal: Would like be able to programatically specify platform

Chad Woolley thewoolleyman at gmail.com
Thu Nov 30 15:42:56 EST 2006


Do you mean that it would automatically install based on detecting the
platform, unless the user overrides it?  This seems slightly
dangerous, because there's the potential of having the wrong gem
installed.

On a related note, I think that the supported platforms are currently
hardcoded as constants.  This may not scale in the future.  For
example, I can imagine different gems for Win XP vs. Vista, or 32 bit
vs 64 bit.  Should the supported platforms be hardcoded, or should the
gem owner be able to select any arbitrary string for the platform?

-- Chad W.

On 11/30/06, Chad Fowler <chad at chadfowler.com> wrote:
>
> We talked about several possibilities, but I think what we settled on
> is having RubyGems look for a list of matching platforms in best-match
> order.  This would mean the client would have a built-in taxonomy of
> sorts.  We would then allow you to override it via the command line or
> the gemrc.
>
> Thoughts?
>
> Chad


More information about the Rubygems-developers mailing list